#
# spec file for package hanterm-xf (Version p18)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         hanterm-xf
%define _prefix1 /usr/X11R6
Copyright:    MIT
Group:        Extensions/Korean
Obsoletes:    htermxf
Provides:     htermxf
Requires:     xf86, xfntkr
Autoreqprov:  on
Summary:      Hangul Terminal for the X Window System
URL:          http://www.kr.freebsd.org/~hwang/hanterm/
Version:      p18
Release:      130
Source0:      http://www.kr.freebsd.org/~hwang/hanterm/hanterm-xf-%{version}.tar.gz
Source1:      Hanterm.ad.ko
Source2:      Hanterm.ad.en
Source3:      hanterm.desktop
Source4:      hanterm.kdelnk
Source5:      hanterm.desktop.kde2x
Source6:      hanterm-16x16.png
Source7:      hanterm-32x32.png
Source8:      hanterm-16x16.xpm
Source9:      hanterm-32x32.xpm
Patch:        hanterm-xf-p15-font.patch
Patch1:       hanterm-xf-charproc.patch
Patch2:       hanterm-xf-p18-powerpc.diff
BuildRoot:    /var/tmp/%{name}-root

%description
Hanterm is a replacement for xterm that supports Hangul input and
output; it is a modified version of the xterm program from
XFree86. hanterm uses its own native input system and does not require
an X input method server. For hanterm to work properly, a
Hangul-encoded font must be available.

Authors:
--------
    ChiDeok Hwang <hwang@mizi.co.kr>

SuSE series: han

%prep
%setup -q -n hanterm-xf-%{version}
%patch  -p 1
%patch1 -p 1
%patch2 -p 1

%build
# update config.{guess,sub}
%{?suse_update_config}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix1} \
            %{_target_cpu}-suse-linux-gnu
make

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
#######################################################################
# HANTERM-XF BINARY....................................................
#######################################################################
mkdir -p %{buildroot}%{_prefix1}/bin
install -c -s -m 4711 hanterm %{buildroot}%{_prefix1}/bin/
#######################################################################
# HANTERM-XF RESOURCE..................................................
#######################################################################
mkdir -p %{buildroot}%{_prefix1}/lib/X11/{ko/app-defaults,app-defaults}
install -m444 %{SOURCE1} \
	%{buildroot}%{_prefix1}/lib/X11/ko/app-defaults/Hanterm
install -m444 %{SOURCE2} \
	%{buildroot}%{_prefix1}/lib/X11/app-defaults/Hanterm
#######################################################################
# PIXMAP...............................................................
#######################################################################
mkdir -p %{buildroot}%{_prefix1}/share/icons/png/locolor/16x16/apps
mkdir -p %{buildroot}%{_prefix1}/share/icons/png/hicolor/32x32/apps
mkdir -p %{buildroot}/opt/kde/share/icons/large
mkdir -p %{buildroot}/opt/kde/share/icons
mkdir -p %{buildroot}/opt/kde2/share/icons/locolor/16x16/apps
mkdir -p %{buildroot}/opt/kde2/share/icons/hicolor/32x32/apps
mkdir -p %{buildroot}/opt/gnome/share/pixmaps/
install -c -m 644 %{SOURCE6} \
	%{buildroot}%{_prefix1}/share/icons/png/locolor/16x16/apps/hanterm.png
ln -s %{_prefix1}/share/icons/png/locolor/16x16/apps/hanterm.png \
	%{buildroot}/opt/kde2/share/icons/locolor/16x16/apps/hanterm.png
install -c -m 644 %{SOURCE7} \
	%{buildroot}%{_prefix1}/share/icons/png/hicolor/32x32/apps/hanterm.png
ln -s %{_prefix1}/share/icons/png/hicolor/32x32/apps/hanterm.png \
	%{buildroot}/opt/kde2/share/icons/hicolor/32x32/apps/hanterm.png
ln -s %{_prefix1}/share/icons/png/hicolor/32x32/apps/hanterm.png \
	%{buildroot}/opt/gnome/share/pixmaps/hanterm.png
install -c -m 644 %{SOURCE8} \
	%{buildroot}/opt/kde/share/icons/hanterm.xpm
install -c -m 644 %{SOURCE9} \
	%{buildroot}/opt/kde/share/icons/large/hanterm.xpm
#######################################################################
# GNOME, KDE-1.x, KDE-2.x..............................................
#######################################################################
mkdir -p %{buildroot}/opt/gnome/share/gnome/apps/System
mkdir -p %{buildroot}/opt/kde/share/applnk/Utilities
mkdir -p %{buildroot}/opt/kde2/share/applnk/Utilities
install -c -m 644 %{SOURCE3} \
	%{buildroot}/opt/gnome/share/gnome/apps/System
install -c -m 644 %{SOURCE4} \
	%{buildroot}/opt/kde/share/applnk/Utilities
install -c -m 644 %{SOURCE5} \
	%{buildroot}/opt/kde2/share/applnk/Utilities/hanterm.desktop

%clean
rm -rf %{buildroot}

%files
%doc hanterm-doc/*
%attr(2755,root,tty) %{_prefix1}/bin/hanterm
%{_prefix1}/share/icons/png/locolor/16x16/apps/hanterm.png
%{_prefix1}/share/icons/png/hicolor/32x32/apps/hanterm.png
/opt/kde/share/icons/large/hanterm.xpm
/opt/kde/share/icons/hanterm.xpm
/opt/kde/share/applnk/Utilities/hanterm.kdelnk
/opt/kde2/share/icons/locolor/16x16/apps/hanterm.png
/opt/kde2/share/icons/hicolor/32x32/apps/hanterm.png
/opt/kde2/share/applnk/Utilities/hanterm.desktop
/opt/gnome/share/pixmaps/hanterm.png
/opt/gnome/share/gnome/apps/System/hanterm.desktop
%config %{_prefix1}/lib/X11/app-defaults/Hanterm
%config %{_prefix1}/lib/X11/ko/app-defaults/Hanterm

%changelog -n hanterm-xf
* Tue May 29 2001 - mfabian@suse.de
- Fix to make it work on PowerPC
* Sun Feb 04 2001 - violiet@suse.de
- fixed KDE1 pixmap.
- htermxf renamed to hanterm-xf.
* Wed Jan 03 2001 - violiet@susekorea.net
- NEW HANTERM PIXMAPS.
- added KDE-1.x, KDE-2.x desktop file.
- added requires: xfntkr.
* Thu Nov 30 2000 - violiet@susekorea.net
- modified All hanterm resources.
* Mon Sep 04 2000 - mfabian@suse.de
- added improved app-defaults received from susekorea.net
  (these app-defaults choose nicer fonts and use Korean in the
  status line of hanterm.)
- replaced pixmap /usr/share/pixmaps/hanterm.png by a new version
* Thu Aug 24 2000 - mfabian@suse.de
- adapted to SuSE autobuild
* Sun May 07 2000 - Jaegul Jang <jjack@linuxone.co.kr>
- rebuild hanterm-xf-p18 version
* Fri Feb 18 2000 - Jaegul Jang <jjack@linuxone.co.kr>
- setting standard colors for 8bit X-window
* Thu Feb 10 2000 - HwaSeop Kum <mungge@lycos.co.kr>
- import ManYong's patch openpty
* Fri Oct 08 1999 - Hwa
- use hanterm-xf-p17
- imparte patches
* Sun Jun 20 1999 - Byeong
- [3.3.1_p16-4]
- added nosuid patch (is have pty patch)
- [3.3.1_p16-3]
- opsoletes font patch, use X resource file
- update hanterm icon
* Thu Jun 03 1999 - Byeong
- GNOME Desktop support
* Tue Jun 01 1999 - Byeong
- support utmp98
* Mon Feb 22 1999 - Byeong
- updated to p16
* Sun Oct 25 1998 - Byeong
- added hangul, hanja key map
* Thu Aug 06 1998 - Byeong
- rename hanterm-xf86 -> hanterm-xf
- updated to p15
* Mon Jun 15 1998 - Byeong
- change default font to iyagi
* Sat May 30 1998 - Byeong
- spec file updated
* Thu Apr 30 1998 - Byeong
- updated pre 13
- some edited add-defaults file
* Sat Dec 27 1997 - Byeong
- built again glibc
- some edited Hanterm add-defaults file
